com.unitech.lib.params

## Class BatteryStatusExtended

- java.lang.Object
- - com.unitech.lib.params.BatteryStatusExtended

-     public class BatteryStatusExtended
      extends Object

  Represents the extended battery status of a device. This class encapsulates various properties related to battery status, such as charging status, voltage, current, percentage, health, temperature, model number, manufacture date, full charge capacity, cycle count, serial number, remaining capacity, and design capacity.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BatteryStatusExtendedType[]` | `types`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatteryStatusExtended(BatteryStatusExtendedType[] types)`
    `BatteryStatusExtended(BatteryStatusExtendedType[] types, byte[] rawData)`
    `BatteryStatusExtended(int types, byte[] rawData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChargingStatus` | `getChargingStatus()`
    `int` | `getCurrent()`
    `int` | `getCycleCount()`
    `int` | `getDesignCapacity()`
    `int` | `getFullChargeCapacity()`
    `int` | `getHealth()`
    `String` | `getManufactureDate()`
    `String` | `getModelNumber()`
    `int` | `getPercentage()`
    `byte[]` | `getRawData()`
    `int` | `getRemainingCapacity()`
    `String` | `getSerialNumber()`
    `int` | `getTemperature()`
    `int` | `getVoltage()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### types

          public BatteryStatusExtendedType[] types

  - ### Constructor Detail

    - #### BatteryStatusExtended

          public BatteryStatusExtended(BatteryStatusExtendedType[] types)

    - #### BatteryStatusExtended

          public BatteryStatusExtended(BatteryStatusExtendedType[] types,
                                       byte[] rawData)

    - #### BatteryStatusExtended

          public BatteryStatusExtended(int types,
                                       byte[] rawData)

  - ### Method Detail

    - #### getRawData

          public byte[] getRawData()

    - #### getChargingStatus

          public ChargingStatus getChargingStatus()

    - #### getVoltage

          public int getVoltage()

    - #### getCurrent

          public int getCurrent()

    - #### getPercentage

          public int getPercentage()

    - #### getHealth

          public int getHealth()

    - #### getTemperature

          public int getTemperature()

    - #### getModelNumber

          public String getModelNumber()

    - #### getManufactureDate

          public String getManufactureDate()

    - #### getFullChargeCapacity

          public int getFullChargeCapacity()

    - #### getCycleCount

          public int getCycleCount()

    - #### getSerialNumber

          public String getSerialNumber()

    - #### getRemainingCapacity

          public int getRemainingCapacity()

    - #### getDesignCapacity

          public int getDesignCapacity()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`